Audacious - Bug #390

skins: Seeking does not always stop if button is released
January 08, 2014 21:43 - Thomas Lange

Status: Closed Start date:
Priority: Minor Due date:
Assignee: % Done:
Category: plugins/skins Estimated time:

Target version:

Affects version: 3.4.3

January 08, 2014

100%
0.00 hour

Description

If the forward/backward button in the main window
is not released on its own position, seeking never stops.

The only solution in this case is to stop the playback and restart it again.

How to reproduce:

1. Click on the forward/backward button in the main window for a while.
2. Move the mouse cursor away.

3. Release the button.

History

#1 - January 09, 2014 04:19 - John Lindgren
- Status changed from New to Closed

- Target version set to 52

- % Done changed from 0 to 100

- Affects version 3.4.3 added

I'm surprised no one noticed this until now. It was probably a regression caused by this 2011 commit:
https://github.com/audacious-media-player/audacious-plugins/commit/7e3e3feeb94bfe5bd5c9bd64e60f2e694bd82776

#2 - March 06, 2015 04:06 - John Lindgren
- Target version deleted (52)

April 25, 2019

1/1



https://github.com/audacious-media-player/audacious-plugins/commit/1a705c12052c7f174067931dec5b4af56b6c35e4
https://github.com/audacious-media-player/audacious-plugins/commit/7e3e3feeb94bfe5bd5c9bd64e60f2e694bd82776
http://www.tcpdf.org

